'use strict';
const {
  Model
} = require('sequelize');
module.exports = (sequelize, DataTypes) => {
  class CouponUsage extends Model {
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models) {
      // define association here
    }
  }
  CouponUsage.init({
    couponId: DataTypes.INTEGER,
    userId: DataTypes.INTEGER,
    orderId: DataTypes.INTEGER,
    discountAmount: DataTypes.DECIMAL,
    usedAt: DataTypes.DATE
  }, {
    sequelize,
    modelName: 'CouponUsage',
  });
  return CouponUsage;
};